- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
GSsl::ProtocolImp Class Reference

A private pimple class used by GSsl::Protocol. More...

## Public Types
typedef Protocol::Result | Result
typedef Protocol::LogFn | LogFn
typedef Protocol::size_type | size_type
typedef Protocol::ssize_type | ssize_type

## Public Member Functions
| ProtocolImp (const Context &c, unsigned int flags)
| ProtocolImp (const Context &c, unsigned int flags, LogFn log)
| ~ProtocolImp ()
Result | connect (int)
Result | accept (int)
Result | stop ()
Result | read (char *buffer, size_type buffer_size, ssize_type &read_size)
Result | write (const char *buffer, size_type size_in, ssize_type &size_out)
std::pair< std::string, bool > | peerCertificate ()

## Detailed Description

A private pimple class used by GSsl::Protocol.

Definition at line 128 of file gssl_openssl.cpp.

## Member Typedef Documentation

typedef Protocol::LogFn GSsl::ProtocolImp::LogFn

Definition at line 132 of file gssl_openssl.cpp.

typedef Protocol::Result GSsl::ProtocolImp::Result

Definition at line 131 of file gssl_openssl.cpp.

typedef Protocol::size_type GSsl::ProtocolImp::size_type

Definition at line 133 of file gssl_openssl.cpp.

typedef Protocol::ssize_type GSsl::ProtocolImp::ssize_type

Definition at line 134 of file gssl_openssl.cpp.

## Constructor & Destructor Documentation

GSsl::ProtocolImp::ProtocolImp | ( | const Context & | c,
|  | unsigned int | flags
| ) |  |
| explicit

Definition at line 435 of file gssl_openssl.cpp.

References GSsl::Context::p().

GSsl::ProtocolImp::ProtocolImp | ( | const Context & | c,
|  | unsigned int | flags,
|  | LogFn | log
| ) |  |

Definition at line 446 of file gssl_openssl.cpp.

References GSsl::Context::p().

GSsl::ProtocolImp::~ProtocolImp | ( |  | ) |

Definition at line 457 of file gssl_openssl.cpp.

## Member Function Documentation

GSsl::Protocol::Result GSsl::ProtocolImp::accept | ( | int | fd | ) |

Definition at line 503 of file gssl_openssl.cpp.

References accept().

Referenced by accept().

GSsl::Protocol::Result GSsl::ProtocolImp::connect | ( | int | fd | ) |

Definition at line 497 of file gssl_openssl.cpp.

References connect().

Referenced by connect().

std::pair< std::string, bool > GSsl::ProtocolImp::peerCertificate | ( |  | ) |

Definition at line 613 of file gssl_openssl.cpp.

References GSsl::Certificate::str().

GSsl::Protocol::Result GSsl::ProtocolImp::read | ( | char * | buffer,
|  | size_type | buffer_size,
|  | ssize_type & | read_size
| ) |  |

Definition at line 569 of file gssl_openssl.cpp.

References GSsl::Protocol::Result_more, and GSsl::Protocol::Result_ok.

GSsl::Protocol::Result GSsl::ProtocolImp::stop | ( |  | ) |

Definition at line 563 of file gssl_openssl.cpp.

References GSsl::Protocol::Result_error, and GSsl::Protocol::Result_ok.

GSsl::Protocol::Result GSsl::ProtocolImp::write | ( | const char * | buffer,
|  | size_type | size_in,
|  | ssize_type & | size_out
| ) |  |

Definition at line 591 of file gssl_openssl.cpp.

References GSsl::Protocol::Result_ok.

The documentation for this class was generated from the following file:

- gssl_openssl.cpp